package com.gh.common.provider

import android.content.Context
import android.widget.LinearLayout
import android.widget.TextView
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.common.databind.BindingAdapters
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.feature.entity.GameEntity
import com.gh.gamecenter.feature.provider.IBindingAdaptersProvider

@Route(path = RouteConsts.provider.bindingAdapters, name = "BindingAdapters暴露服务")
class BindingAdaptersProviderImpl : IBindingAdaptersProvider {
    override fun setGameName(
        view: TextView,
        game: GameEntity,
        isShowPlatform: Boolean,
        isShowSuffix: Boolean
    ) {
        BindingAdapters.setGameName(view, game, isShowPlatform, isShowSuffix)
    }

    override fun setGameTags(layout: LinearLayout, gameEntity: GameEntity) {
        BindingAdapters.setGameTags(layout, gameEntity)
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}